Package org.eclipse.m2m.atl.debug.core.adwp

## Class ADWPCommand

- java.lang.Object
- - org.eclipse.m2m.atl.debug.core.adwp.ADWPCommand

    public class ADWPCommand
    extends java.lang.Object

A command part of the ADWP protocol.

### Constructor Summary

Constructors
`ADWPCommand​(int code, int ack, java.util.List<Value> args)` Creates a new command.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAck()`
`java.util.List<Value>` `getArgs()`
`int` `getCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ADWPCommand

    public ADWPCommand​(int code,
                       int ack,
                       java.util.List<Value> args)

Creates a new command.

Parameters:
  `code` - the command code
  `ack` - the command ack
  `args` - the `Value` arguments of the command

### Method Detail

#### getCode

    public int getCode()

#### getAck

    public int getAck()

#### getArgs

    public java.util.List<Value> getArgs()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`